<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "packmain";
$trandb = "packtran";
$formname = "Packing Register";
$file = "packreg.php";


$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$party = $_POST["party"];
$dtype = $_POST["dtype"];

$srcond = "";
$branch = trim($_POST["series"]);
$spltype = $_SESSION["spltype_" . $dbname];
if ($spltype != 1) {
    if (!empty($branch)) {
        $srcond = "and `series`='$branch'";
    }
}

$dtypecond = "";
$partycond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);

if (!empty($party)) {
    $partycond = " AND `party`='$party' ";
}


if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    header("refresh:1; $file");
}
if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    header("refresh:1; $file");
}

$getpmain = mysqli_query($conn, "SELECT * ,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt  FROM `$maindb` where
                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate'  $partycond")or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
        .dtype{
            background-color: #cccccc;
        }
    </style>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <th width='12%'>Date</th>
                                <th width='40%'>Staff</th>
                                <th width='8%' class="text-right">Qty</th>
                                <th width='10%' class="text-right">Total Amount</th>
                                <th width='25%'>Remarks</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totcgst = 0;
                            $totsgst = 0;
                            $totigst = 0;
                            $totroundoff = 0;


                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $findparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[staff]'") or die(mysqli_error($conn));
                                $lparty = mysqli_fetch_array($findparty);

                                $name = $lparty[name];
                                
                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$name</td>"; 
                                Echo "<td class='text-right'>$pmain[totqty]</td>";
                                Echo "<td class='text-right'>$pmain[subtotal]</td>";
                                Echo "<td class=''>$pmain[remark1] $pmain[remark2]</td>";
                                Echo "</tr>";

                                $ttotqty = $ttotqty + $pmain[totqty];
                                $ttotamt = $ttotamt + $pmain[subtotal];

                                if ($_POST["dtype"] == 2) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th width='5%;'class='dtype'>Sr</th>";
                                    Echo "<th width='8%' class='dtype'>Barcode</th>";
                                    Echo "<th width='8%' class='dtype'>Item</th>";
                                    Echo "<th width='3%' class='dtype'>Color</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Qty</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Rate</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Amount</th>";
                                    Echo "<tr>";

                                    $ctr2 = 0;
                                    $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]' and series = '$pmain[series]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $finditem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                                        $fitem = mysqli_fetch_array($finditem);

                                        $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                                        $color = mysqli_fetch_array($getcolor);


                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
                                        Echo "<td>$tran[barcode]</td>";
                                        Echo "<td>$fitem[name]</td>";
                                        Echo "<td>$color[name]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "</tr>";

                                        $totqty = $totqty + $tran['qty'];
                                        $totamt = $totamt + $tran['amount'];
                                        
                                        $amt = number_format($totamt,2);
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td colspan='3' style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$amt</b></h5></td>";
                                    echo "</tr>";

                                    Echo "</table>";
                                    Echo "</td>";
                                }
                            }

                            $tamt = number_format($ttotamt,2);
                            $tqty = number_format($ttotqty,2);
                            
                            
                            $colr = "green";
                            echo "<tr> ";
                            echo "<td colspan='3' align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tqty</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tamt</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}


if (isset($_POST["excel"])) {
  
    
    
                            $contents .= "Sr,Date,Staff,Qty,Total Amount,Remarks\n";
                            
                   +
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totcgst = 0;
                            $totsgst = 0;
                            $totigst = 0;
                            $totroundoff = 0;


                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $findparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[staff]'") or die(mysqli_error($conn));
                                $lparty = mysqli_fetch_array($findparty);

                                $name = $lparty[name];
                                
                                $ctr++;
                                
                                $contents .= "$ctr" . ",";
                                $contents .= "$pmain[mydt]" . ",";
                                $contents .= "$name" . ",";
                                $contents .= "$pmain[totqty]" . ",";
                                $contents .= "$pmain[subtotal]" . ",";
                                $contents .= "$pmain[remark1] $pmain[remark2]" . "\n";
                                
                              

                                $ttotqty = $ttotqty + $pmain[totqty];
                                $ttotamt = $ttotamt + $pmain[subtotal];

                                if ($_POST["dtype"] == 2) {

                                    $contents .= "Sr,Barcode,Item,Color,Qty,Rate,Amount\n";

                                    $ctr2 = 0;
                                    $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]' and series = '$pmain[series]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $finditem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                                        $fitem = mysqli_fetch_array($finditem);

                                        $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                                        $color = mysqli_fetch_array($getcolor);


                                        $ctr2++;
                                        
                                        $contents .= "$ctr2" . ",";
                                        $contents .= "$tran[barcode]" . ",";
                                        $contents .= "$fitem[name]" . ",";
                                        $contents .= "$color[name]" . ",";
                                        $contents .= "$tran[qty]" . ",";
                                        $contents .= "$tran[rate]" . ",";
                                        $contents .= "$tran[amount]" . "\n";

                                        $totqty = $totqty + $tran['qty'];
                                        $totamt = $totamt + $tran['amount'];
                                        
                                        $amt = number_format($totamt,2);
                                    }
                            

                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "Total" . ",";
                                        $contents .= "$totqty" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "$amt" . "\n";
                              
                                }
                            }

                            $tamt = number_format($ttotamt,2);
                            $tqty = number_format($ttotqty,2);
                            
                          
                            $contents .= "" . ",";
                            $contents .= "" . ",";
                            $contents .= "Grand Total" . ",";
                            $contents .= "$tqty" . ",";
                            $contents .= "" . ",";
                            $contents .= "$tamt" . "\n";


    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>